# OSGeo::FDO::Raster::IRasterImp Class Reference
[OSGeo::FDO::Raster]

Inheritance diagram for OSGeo::FDO::Raster::IRasterImp:

[legend]

List of all members.

## Detailed Description

IRasterImp specifies the data type and organization of raster data retrieved and stored. Using this class and the image extents in width and length, the binary format of the image data returned by and accepted by the IoStreamReader class can be interpreted.

()

## Public Member Functions
__property System::Byte | get_Bounds ()[]
| Get the minimum bounding box around the curent band of the image.
__property System::Int32 | get_CurrentBand ()
| Gets the currently active band/channel.
__property OSGeo::FDO::Raster::RasterDataModel * | get_DataModel ()
| Gets the data model in use by this raster property.
__property System::Int32 | get_ImageXSize ()
| Gets the size of image file in the horizontal direction in pixels (number of columns).
__property System::Int32 | get_ImageYSize ()
| Gets the size of image file in the vertical direction in pixels (number of rows).
__property OSGeo::FDO::Expression::DataValue * | get_NullPixelValue ()
| Gets the pixel value that represents a NULL value in the available raster stream.
__property System::Int32 | get_NumberOfBands ()
| Gets the number of bands/channels contained in the raster image.
__property OSGeo::FDO::Common::IStreamReaderImp * | get_StreamReader ()
| Get the source of image data. Image data is shipped using a paradigm similar to BLOB I/O. When fetching a raster image the GetStreamReader() method provides a IStreamReader from which the client may request the image data. The format of the image data expected is determined by the DataModel property. The data type, bit depth, tiling and organization specify the meaning of the image data. By setting the DataModel property prior to getting a reader for the data, the FDO client application can control the way data is retrieved from the FDO raster subsystem. When a tiled image is fetched, the image data will be tiled by default, unless a spatial query is used that covers a portion of a tile, in which case the image is converted to monolithic form prior to returning to the client. The client may force a monolithic image in the former case by setting the DataModel to monolithic prior to getting the stream reader. Or conversely it can request a re-tiling of the remaining sub-image by setting the DataModel property to tiled (in this case the tile origin is at the new upper left corner of the sub-image).
__property System::String * | get_VerticalUnits ()
| Gets the Vertical Unit of Measure corresponding to the Raster Band. The string value returned will be a considered lookup value that will be used to identify the properties of the Unit of Measure using the IGetMeasureUnits command.
OSGeo::FDO::Raster::IRasterPropertyDictionary * | GetAuxiliaryProperties ()
| Get a dictionary style interface to the raster properties. Through this interface the non-standard properties of a raster image can be determined and their values can be retrieved and set. Data values are exchanged through the DataValue object to accommodate various data types, boolean, integer, double, string, etc.
| IRasterImp (System::IntPtr unmanaged, System::Boolean autoDelete)
| Constructs a IRasterImp object based on an unmanaged instance of the object.
System::Boolean | IsNull ()
| Returns true if the IRaster represents a null value.
__property System::Void | set_Bounds (System::Byte bounds[])
| Set the minimum bounding box around the image. For georeferenced images, the coordinate system is specified by the spatial context in force when the object is created. The act of setting this property georeferences the image. In order to provide for non-georeferenced images, this property is Nullable (doesn't need to be set).
__property System::Void | set_CurrentBand (System::Int32 value)
| Sets the currently active band/channel.
__property System::Void | set_DataModel (OSGeo::FDO::Raster::RasterDataModel *dataModel)
| Sets the data model used by this raster property. Allowed values are only those data models that are acceptable to the SupportsDataModel capability.
__property System::Void | set_ImageXSize (System::Int32 size)
| Sets the size of image file in the horizontal direction in pixels (number of columns). By setting the X and Y image size properties prior to getting a reader for the data, the client application can control the density of pixels fetched by the provider, which may reduce the amount of data shipped by the reader and reduce processing time significantly. For example, a certain query in the coordinate system of the raster object class returns a IRaster object with image size 12091 by 8043. But the image only needs to be displayed in an area 1167 by 776 on the users monitor.
__property System::Void | set_ImageYSize (System::Int32 size)
| Sets the size of image file in the vertical direction in pixels (number of rows). See SetImageXSize.
__property System::Void | set_NumberOfBands (System::Int32 value)
| Sets the number of bands/channels contained in the raster image.
__property System::Void | set_StreamReader (OSGeo::FDO::Common::IStreamReaderImp *reader)
| Set the source of image data. Image data is shipped using a paradigm similar to BLOB I/O. When inserting or updating an object with a raster property, the SetStreamReader method provides a means to set a IStreamReader callback. On execution of an insert or update command, requests are made on the reader for the image data (which is supplied by the FDO client application). The format of the image data expected is determined by the DataModel property. The data type, bit depth, tiling and organization specify the meaning of the image data. By setting the DataModel property prior to setting a reader for the data, the FDO client application can control the way data is understood by, the FDO raster subsystem.
__property System::Void | set_VerticalUnits (System::String *units)
| Sets the Vertical Unit of Measure corresponding to the Raster Band.
System::Void | SetNull ()
| Sets the IRaster to a null value.